1-877-548-3001 Sign in About Contact
Developer

GET

api/analytics/chat/chat_stats_by_hour

Hourly chat statistics — chats, dropped chats and offline requests broken down by hour of the day

Scope:

client

or

operator

Request Parameters

Query

A

date_from

required

The date to start the search from. Must be in YYYY-MM-DD format

A

date_to

required

The date to end the search at. Must be in YYYY-MM-DD format

only_my_department

optional

Set to true to limit the results to the operator's departments. Defaults to false

2

operator_id

optional

The operator id whose saved analytics filter is applied. Defaults to 0, which applies no operator filter

A

format

optional

json, csv, tsv. Defaults to json

Response

Schema

{}

{}

payload

The hourly chat statistics, grouped into three sections

chats_by_hour

Handled chats broken down by hour of the day, one entry per department

A

name

The department name. Activity not attributed to a department is grouped under "No Department"

{}

data

The count for each hour of the day, keyed 0 through 23

dropped_chats_by_hour

Dropped chats broken down by hour of the day, one entry per department

A

name

The department name. Activity not attributed to a department is grouped under "No Department"

{}

data

The count for each hour of the day, keyed 0 through 23

offline_requests_by_hour

Offline chat requests broken down by hour of the day, one entry per department

A

name

The department name. Activity not attributed to a department is grouped under "No Department"

{}

data

The count for each hour of the day, keyed 0 through 23

A

status

The system response status. Will be ok or error

curl

example request

1

curl -H "Authorization: Bearer {{Oauth Token}}"

2

https://developer.livehelpnow.net/api/analytics/chat/chat_stats_by_hour?date_from=2026-02-20&date_to=2026-03-20

example response

      
        

1

 {

2

   "payload": {

3

     "chats_by_hour"

: [

4

       {

5

         "name"

: "No Department",

6

         "data"

: { "0": 0, "1": 0, "2": 3, ... "22": 1, "23": 0 }

7

       },

8

       {

9

         "name"

: "Sales",

10

         "data"

: { "0": 0, "1": 0, "2": 3, ... "22": 1, "23": 0 }

11

       }

12

     ],

13

     "dropped_chats_by_hour"

: [],

14

     "offline_requests_by_hour"

: []

15

   },

16

   "status"

: "ok"

17

 }